# PaymentTypeEnum

### Values

**INITIAL**

Initial payment made directly during checkout.

~~**MONTHLY**~~

*`Deprecated: Recurring payments are not created externally anymore.`*

Externally created recurring payment.

**SINGLE\_CHARGE**

A non-recurring, portal or API-triggered payment.

**AUTHORIZATION**

Payment used to update a customers payment method.

**DIRECT\_PAYMENT**

An on-session payment performed by a customer to pay for an invoice manually.

**DIRECT\_PAYMENT\_WITH\_AUTHORIZATION**

An on-session payment performed by a customer to pay for an invoice manually that stores the payment method for all future subscription payments.

**RECURRING**

Recurring charge made by our billing cycle.

**RETRY**

An (automated) retry of a failed payment.

**EXTERNAL\_PAYMENT**

Payment made outside the Firmhouse platform, such as direct transfers from customers to your account, bypassing Firmhouse usual payment flow.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/payment-type-enum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
